Security advisory: update now.

Pale Moon releases and site news
(read-only)
Locked
User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 28217
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Security advisory: update now.

Post by Moonchild » 2020-01-13, 09:28

If you haven't done so yet, please update your browser to v28.8.1 now.

We can't stress enough that the 0-day vulnerability found last week is actively leveraged by malicious parties in the wild and will put you are serious risk if you visit a website with code that exploits it, including the possibility of being infected with a virus or ransomware, or data destruction.

Browsers vulnerable to this exploit:
  • All versions of Pale Moon prior to v28.8.1
  • Pale Moon unstable prior to 2020-01-14
  • All versions of Basilisk prior to v2020.01.12
Also note that if you are still on Firefox ESR-52 for legacy extension use, you are at risk -- we recommend you switch to using Basilisk in that case which will have almost exactly the same user experience, extension compatibility (except for WebExtensions) and UI, while being patched-up for this and many other security issues.
"Son, in life you do not fight battles because you expect to win, you fight them merely because they need to be fought." -- Snagglepuss
Image

Locked